at.chipkarte.client.kse.soap

## Interface IKseService

-     public interface IKseService

  Dieses Service stellt die Funktionen der KSE-Applikation einer Vertragspartnersoftware Version 20 zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `KonsultationsBeleg` | `aendernKonsultation(String dialogId, Long konsId, Integer konsVersion, String behandlungsfallCode)` Mit dieser Funktion wird eine änderbare Konsultation geändert, wenn das Behandlungsdatum der Konsultation in der aktuellen oder in der vorigen Abrechnungsperiode und das aktuelle Datum innerhalb der Nachbringfrist der vorigen Abrechnungsperiode liegen.
    `void` | `deleteKonsultationsdatenAnfrage(String dialogId, String anfrageId)` Mit dieser Funktion werden asynchrone Anfragen für Konsultationsdaten am e-card-Serversystem gelöscht.
    `ErgebnisKonsultationFoto` | `doKonsultation(String dialogId, String svNummer, String svtCode, String anspruchId, String fachgebietsCode, String behandlungsfallCode, String nacherfassungsgrundCode, String behandlungsdatum, String ersatzbelegCode, String cardToken, boolean isOffline)` Durchführen oder Nacherfassen einer Konsultation im Online-Modus.
    `KonsultationsdatenSuchergebnis` | `downloadKonsultationsdaten(String dialogId, String anfrageId)` Mit dieser Funktion werden Konsultationsdaten, die über eine asynchrone Suchanfrage `sendKonsultationsdatenAnfrage` angefordert wurden, abgefragt.
    `Erstkonsultationsdaten[]` | `getErstkonsultationen(String dialogId, String svNummer, String fachgebietsCode, Boolean nacherfassung)` Diese Funktion ermittelt die eventuell vorhandenen Erstkonsultationen für einen Patienten.
    `KonsultationsdatenSuchergebnis` | `getKonsultationsdaten(String dialogId, SuchFilter selektionsKriterien, String selektionsart, String sortierung)` Mit dieser Funktion werden die den Suchkriterien entsprechenden Konsultationen angefordert.
    `KonsultationdatenAnfrage[]` | `getKonsultationsdatenAnfragen(String dialogId, Boolean onlyReady)` Die Funktion liefert alle anstehenden Anfragen für Konsultationsdaten, die erfolgreich zum e-card-Serversystem übertragen wurden.
    `KonsultationsdatenSuchergebnis` | `getKonsultationsdatenByIds(String dialogId, Long[] konsultationsIds)` Mit dieser Funktion werden die Konsultationen anhand ihrer KonsultationsIDs angefordert.
    `Limit[]` | `getLimit(String dialogId, Integer zeitraum)` Diese Funktion liefert alle Limitstände des Vertragspartners für die aktuelle Abrechnungsperiode oder für die Nachbringfrist zur Ordinationsadresse, die dem Dialog zugeordnet ist.
    `KonsultationsBeleg[]` | `nachsignierenKonsultationen(String dialogId, String cardToken, boolean isOffline)` Mit dieser Funktion werden sämtliche Konsultationen eines Patienten, die mit der o-card signiert wurden, mit der e-card nachsigniert, wenn das Behandlungsdatum der Konsultation in der aktuellen oder in der vorigen Abrechnungsperiode und das aktuelle Datum innerhalb der Nachbringfrist der vorigen Abrechnungsperiode liegen.
    `String` | `sendKonsultationsdatenAnfrage(String dialogId, SuchFilter selektionsKriterien)` Mit dieser Funktion werden die den Suchkriterien entsprechenden Konsultationen für den maximalen Zeitraum der aktuellen Abrechnungsperiode plus zwei Vorquartale angefordert.
    `void` | `sendZusatzinformationsAntwort(String dialogId, Long zusatzinformationsAntwortId, Integer zusatzinformationsAntwort)` Diese Funktion übermittelt die Antwortinformationen einer Zusatzinformation an das e-card-Serversystem.
    `KonsultationsBeleg` | `stornierenKonsultation(String dialogId, Long konsId, Integer konsVersion)` Mit dieser Funktion wird eine stornierbare Konsultation storniert, wenn das Behandlungsdatum der Konsultation in der aktuellen oder in der vorigen Abrechnungsperiode und das aktuelle Datum innerhalb der Nachbringfrist der vorigen Abrechnungsperiode liegen.
    `ErgebnisKonsultation` | `wiederinkraftsetzenKonsultation(String dialogId, Long konsId, Integer konsVersion)` Mit dieser Funktion wird eine stornierte Konsultation wieder in Kraft gesetzt, wenn das Behandlungsdatum der Konsultation in der aktuellen oder in der vorigen Abrechnungsperiode und das aktuelle Datum innerhalb der Nachbringfrist der vorigen Abrechnungsperiode liegen.

- - ### Method Detail

    - #### getLimit

          Limit[] getLimit(String dialogId,
                           Integer zeitraum)
                    throws AccessException,
                           DialogException,
                           ServiceException,
                           InvalidParameterException

      Diese Funktion liefert alle Limitstände des Vertragspartners für die aktuelle Abrechnungsperiode oder für die Nachbringfrist zur Ordinationsadresse, die dem Dialog zugeordnet ist.

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `KSE_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs
        `zeitraum` - Zeitraum für den die Limits abgefragt werden sollen.
        Gültige Werte:
        `LimitZeitraum.AKTUELLE_PRUEFPERIODE` - es werden die Limits für die aktuelle Prüfperiode abgefragt
        `LimitZeitram.NACHBRINGFRIST` - es werden die Limits für die Nachbringfrist abgefragt
      Returns:
        Objekt vom Typ Limit[]
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `InvalidParameterException` - `INVALID_LIMIT_ZEITRAUM`

    - #### doKonsultation

          ErgebnisKonsultationFoto doKonsultation(String dialogId,
                                                  String svNummer,
                                                  String svtCode,
                                                  String anspruchId,
                                                  String fachgebietsCode,
                                                  String behandlungsfallCode,
                                                  String nacherfassungsgrundCode,
                                                  String behandlungsdatum,
                                                  String ersatzbelegCode,
                                                  String cardToken,
                                                  boolean isOffline)
                                           throws AccessException,
                                                  DialogException,
                                                  ServiceException,
                                                  KseException,
                                                  PatientServiceException,
                                                  InvalidParameterException

      Durchführen oder Nacherfassen einer Konsultation im Online-Modus.

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Bei Erfassung mit e-card oder o-card muss ein gültiges CardToken mit SV-Signatur vorhanden sein.
      - Der Vertragspartner besitzt die Rechte `KSE_CORE` und `KSE_FULL`. In Abhängigkeit des gewünschten Behandlungsfall ist unter Umständen noch ein behandlungsfallspezifisches KSE-Recht notwendig.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs.
        `svNummer` - Sozialversicherungsnummer des Patienten, der die Leistung in Anspruch nimmt. Wird im Falle der Verwendung eines mit o-card erzeugten CardTokens zwingend benötigt. Wird ein e-card CardToken angegeben und das Feld svNummer, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `svtCode` - Code des Krankenversicherungsträgers des Patienten, für den diese Konsultation durchgeführt wird. Wenn null, wird der Krankenversicherungsträger automatisch vom e-card-Serversystem ermittelt.
        Mögliche Werte laut Funktion `getSVTs`
        Kann der Anspruch nicht automatisch ermittelt werden (es wird eine ensprechende Fehlermeldung retourniert), muss der SVT zur Spezifizierung des Anspruchs angegeben werden.
        `anspruchId` - ID des abgeleiteten Anspruchs bei Auftreten der Fehlermeldung ZS-00010, sonst null. Die möglichen Ansprüche des Patienten wurden durch vorherigen Aufruf dieser Funktion unter Angabe eines nicht eindeutigen Anspruchs in der Exception `AnspruchException` zurückgeliefert.
        Wird die Fehlermeldung ZS-00010 retourniert, kann die Angabe des Anspruchs mittels Angabe der AnspruchsId zusätzlich zum SVT spezifiziert werden. Anderenfalls (bei anderen Meldungen mit Retournierung von Anspruchsdaten) ist der Anspruch mittels Angabe des SVT-Codes zu spezifizieren.
        `fachgebietsCode` - Fachgebiet, für das diese Konsultation durchgeführt wird.
        Mögliche Werte laut Funktion `getFachgebiete`
        `behandlungsfallCode` - Behandlungsfall, für den diese Konsultation durchgeführt wird.
        Mögliche Werte laut Funktion `getBehandlungsfaelle`
        `nacherfassungsgrundCode` - Grund für die Nacherfassung einer Konsultation. Wenn null, handelt es sich um eine Konsultation (Behandlungsfall durchführen), sonst um eine nacherfasste Konsultation. In diesem Fall muss auch das Behandlungsdatum angeführt werden.
        Mögliche Werte siehe `Nacherfassungsgrundcodes`
        `behandlungsdatum` - Datum, an dem die nachzuerfassende Konsultation tatsächlich durchgeführt wurde. Pflichtfeld, wenn `nacherfassungsgrundCode` angegeben, sonst null.
        Format: TT.MM.JJJJ
        `ersatzbelegCode` - Code eines e-card Ersatzbelegs. Zu verwenden, wenn für den Patienten ein e-card Ersatzbeleg ausgestellt wurde. Grund ist, dass für das Ausstellen der e-card kein Foto (verpflichtend) aus den behördlichen Fotoregistern zur Verfügung steht.
        Format: 5 Stellig. Wertebereich: a-z/A-Z/0-9
        `cardToken` - Mit e-card oder o-card erzeugtes Signaturtoken (SV-Signatur).
        `isOffline` - Kennzeichen, ob die Konsultation offline erstellt (und in der VPSW zwischengespeichert) wurde während das e-card System offline war.
      Returns:
        Objekt vom Typ ErgebnisKonsultationFoto
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_FULL`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `INVALID_CERTIFICATE`, `CERTIFICATE_MISMATCH`, `CERTIFICATE_TIMESTAMPS_INVALID`, `CERTIFICATE_TIMESTAMP_INTERVAL_INVALID`, `CERTIFICATE_REQUEST_OUT_OF_DATE`, `PARAMETER_MISMATCH_EXCEPTION`, `CERTIFICATE_SIGNATURE_ALGORITHM_INVALID` `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `CARD_INVALID`, `CARDTOKEN_SIG_TYPE_NOT_ALLOWED`, `CARDTOKEN_REQUIRED`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `InvalidParameterException` - `INVALID_SV_NUMBER`, `INVALID_SVT`, `INVALID_FG`, `INVALID_BF`, `INVALID_NACHERFASSUNGSGRUND`, `DATE_NOT_SET`, `DATE_INVALID`, `DATE_IN_FUTURE`, `ILLEGAL_VALUE`, `NO_CERTIFICATE_AND_NO_ECARD`, `MISSING_RIGHT_FOR_BEHANDLUNGSFALL`, `BF_FG_MISMATCH`, `ERSATZBELEGCODE_WRONG_FORMAT`, `ERSATZBELEGCODE_INVALID`
        `KseException` - `OFFLINE_FRIST_EXCEEDED`, `NO_VPANSPRUCH_FOR_SVT_EXCEPTION`, `DATE_OUT_OF_RANGE_EXCEPTION`, `INVALID_SPECIALISM_EXCEPTION`, `NO_KVA_LEISTUNGSANSPRUCH_EXCEPTION`, `NO_SUCH_CLAIM_EXCEPTION`, `NO_ANSPRUCH_PROVIDED_EXCEPTION`, `INVALID_CLAIM_EXCEPTION`, `NO_VPANSPRUCH_EXCEPTION`, `NO_LEISTUNGSANSPRUCH_FOR_FACHGEBIET_EXCEPTION`, `NO_LEISTUNGSANSPRUCH_FOR_FACHGRUPPE_EXCEPTION`, `KONSULTATION_CHANGED`, `KONSULTATION_ALREADY_CANCELLED`, `NO_SUCH_KONSULTATION`, `REFERERALL_REQUIRED_EXCEPTION`, `NO_SVT_PROVIDED_EXCEPTION`, `TREATMENT_DATE_IN_FUTURE_EXCEPTION`, `DATE_IN_FUTURE_EXCEPTION`, `AGE_NOT_REACHED`, `INVALID_BEHANDLUNGSFALL`, `NO_VA_MATCHING_KONSULTATION`, `TIME_NOT_ELAPSED`, `ANSPRUCH_ONLY_FOR_VU_MKP_ALLOWED`, `BEHANDLUNGSFALL_FOR_GENDER_NOT_ALLOWED`, `BEHANDLUNGSFALL_FOR_AGE_NOT_ALLOWED`, `NO_EINLADUNG_FOR_BKF_VM`, `NO_OPEN_EINLADUNG_FOR_BKF_VM`, `OTHER_VM_EXIST`, `INTERZEPTIVE_BEHANDLUNG_ALREADY_EXISTS`, `KFO_HAUPTBEHANDLUNG_ALREADY_EXISTS`, `NO_INTERZEPTIVE_BEHANDLUNG_EXISTS`, `NO_KFO_HAUPTBEHANDLUNG_EXISTS`, `INTERZEPTIVE_BEHANDLUNG_ALREADY_FINISHED`, `KFO_HAUPTBEHANDLUNG_ALREADY_FINISHED`, `INTERZEPTIVE_BEHANDLUNG_WITH_OTHER_VP`, `KFO_HAUPTBEHANDLUNG_WITH_OTHER_VP`, `KFO_HAUPTBEHANDLUNG_PERIOD_VIOLATION`, `KFO_HAUPTBEHANDLUNG_COMPLIANCE_CONFLICT`, `COMPLIANCE_ALREADY_EXISTS`, `IOTN_MAX_LIMIT_EXCEEDED`, `IOTN_PERIOD_VIOLATION`, `KFO_HAUPTBEHANDLUNG_IOTN_CONFLICT`, `KFO_BERATUNG_MAX_LIMIT_EXCEEDED`, `INTERZEPTIVE_BEHANLDUNG_INTERZEPTIVE_REPARATUR_CONFLICT`, `INTERZEPTIVE_REPARATUR_ALREADY_EXISTS`, `KFO_HAUPTBEHANDLUNG_REPARATUR_KFO_HAUPTBEHANDLUNG_CONFLICT`, `REPARATUR_KFO_HAUPTBEHANDLUNG_ALREADY_EXISTS`, `PATIENT_AGE_MISSING`, `ALREADY_NEW_INTERZEPTIVE_BEHANDLUNG`, `ALREADY_NEW_KFO_HAUPTBEHANDLUNG`, `INTERZEPTIVE_BEHANDLUNG_ENDE_NOT_POSSIBLE`, `KFO_HAUPTBEHANDLUNG_ENDE_NOT_POSSIBLE`, `KFO_MUNDHYGIENE_KIND_ALLGEMEIN_NOT_POSSIBLE`, `KFO_MUNDHYGIENE_KIND_FESTS_REGULIERUNG_NOT_POSSIBLE`, `ERSATZBELEGCODE_NOT_AVAILABLE_NOW`, `ERSATZBELEGCODE_FOR_PATIENT_NOT_USEABLE`, `INVALID_CARD_ODER_SIGNATUR`, `TOKEN_CREATIONTIME_TO_BEHANDLUNGSDATUM_EXPIRED`, `SVNR_FEHLT`, `ERSATZBELEGCODE_MIT_ECARDTOKEN_NOT_POSSIBLE`, `BEHANDLUNGSFALL_MIT_ECARDTOKEN_NOT_POSSIBLE`
        `PatientServiceException` - `NEEDED_ERSATZBELEG_FOUND`, `NO_ERSATZBELEG_FOUND_FOR_GIVEN_CODE`, `OTHER_ERSATZBELEG_FOUND`

    - #### stornierenKonsultation

          KonsultationsBeleg stornierenKonsultation(String dialogId,
                                                    Long konsId,
                                                    Integer konsVersion)
                                             throws KseException,
                                                    DialogException,
                                                    ServiceException,
                                                    InvalidParameterException,
                                                    AccessException

      Mit dieser Funktion wird eine stornierbare Konsultation storniert, wenn das Behandlungsdatum der Konsultation in der aktuellen oder in der vorigen Abrechnungsperiode und das aktuelle Datum innerhalb der Nachbringfrist der vorigen Abrechnungsperiode liegen.

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `KSE_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs
        `konsId` - ID der zu stornierenden Konsultation
        `konsVersion` - Version der zu stornierenden Konsultation
      Returns:
        Objekt vom Typ KonsultationsBeleg
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `InvalidParameterException` - `INVALID_ANFRAGE_ID`, `INVALID_KONSULTATION_VERSION`
        `KseException` - `DATE_IN_FUTURE_EXCEPTION`, `KONSULTATION_CHANGED`, `KONSULTATION_ALREADY_CANCELLED`, `NO_SUCH_KONSULTATION`, `NO_STORNO_POSSIBLE`

    - #### wiederinkraftsetzenKonsultation

          ErgebnisKonsultation wiederinkraftsetzenKonsultation(String dialogId,
                                                               Long konsId,
                                                               Integer konsVersion)
                                                        throws KseException,
                                                               DialogException,
                                                               ServiceException,
                                                               InvalidParameterException,
                                                               AccessException

      Mit dieser Funktion wird eine stornierte Konsultation wieder in Kraft gesetzt, wenn das Behandlungsdatum der Konsultation in der aktuellen oder in der vorigen Abrechnungsperiode und das aktuelle Datum innerhalb der Nachbringfrist der vorigen Abrechnungsperiode liegen.

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `KSE_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs
        `konsId` - ID der wieder in Kraft zu setzenden Konsultation
        `konsVersion` - Version der wieder in Kraft zu setzenden Konsultation
      Returns:
        Objekt vom Typ ErgebnisKonsultation
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `InvalidParameterException` - `INVALID_ANFRAGE_ID`, `INVALID_KONSULTATION_VERSION`
        `KseException` - `DATE_IN_FUTURE_EXCEPTION`, `KONSULTATION_CHANGED`, `NO_SUCH_KONSULTATION`, `NO_LEISTUNGSANSPRUCH_FOR_FACHGEBIET_EXCEPTION`, `NO_LEISTUNGSANSPRUCH_FOR_FACHGRUPPE_EXCEPTION`, `KONSULTATION_NOT_CANCELLED`, `TIME_NOT_ELAPSED`, `INEXISTENT_ANSPRUCH_FOR_RESET`, `NO_OPEN_EINLADUNG_FOR_BKF_VM`, `OTHER_VM_EXIST`, `INTERZEPTIVE_BEHANDLUNG_ALREADY_EXISTS`, `KFO_HAUPTBEHANDLUNG_ALREADY_EXISTS`, `NO_INTERZEPTIVE_BEHANDLUNG_EXISTS`, `NO_KFO_HAUPTBEHANDLUNG_EXISTS`, `INTERZEPTIVE_BEHANDLUNG_ALREADY_FINISHED`, `KFO_HAUPTBEHANDLUNG_ALREADY_FINISHED`, `INTERZEPTIVE_BEHANDLUNG_WITH_OTHER_VP`, `KFO_HAUPTBEHANDLUNG_WITH_OTHER_VP`, `KFO_HAUPTBEHANDLUNG_PERIOD_VIOLATION`, `KFO_HAUPTBEHANDLUNG_COMPLIANCE_CONFLICT`, `COMPLIANCE_ALREADY_EXISTS`, `IOTN_MAX_LIMIT_EXCEEDED`, `IOTN_PERIOD_VIOLATION`, `KFO_HAUPTBEHANDLUNG_IOTN_CONFLICT`, `KFO_BERATUNG_MAX_LIMIT_EXCEEDED`, `INTERZEPTIVE_BEHANLDUNG_INTERZEPTIVE_REPARATUR_CONFLICT`, `INTERZEPTIVE_REPARATUR_ALREADY_EXISTS`, `KFO_HAUPTBEHANDLUNG_REPARATUR_KFO_HAUPTBEHANDLUNG_CONFLICT`, `REPARATUR_KFO_HAUPTBEHANDLUNG_ALREADY_EXISTS`, `PATIENT_AGE_MISSING`, `ALREADY_NEW_INTERZEPTIVE_BEHANDLUNG`, `ALREADY_NEW_KFO_HAUPTBEHANDLUNG`, `INTERZEPTIVE_BEHANDLUNG_ENDE_NOT_POSSIBLE`, `KFO_HAUPTBEHANDLUNG_ENDE_NOT_POSSIBLE`, `KFO_MUNDHYGIENE_KIND_ALLGEMEIN_NOT_POSSIBLE`, `KFO_MUNDHYGIENE_KIND_FESTS_REGULIERUNG_NOT_POSSIBLE`

    - #### aendernKonsultation

          KonsultationsBeleg aendernKonsultation(String dialogId,
                                                 Long konsId,
                                                 Integer konsVersion,
                                                 String behandlungsfallCode)
                                          throws KseException,
                                                 InvalidParameterException,
                                                 DialogException,
                                                 ServiceException,
                                                 AccessException

      Mit dieser Funktion wird eine änderbare Konsultation geändert, wenn das Behandlungsdatum der Konsultation in der aktuellen oder in der vorigen Abrechnungsperiode und das aktuelle Datum innerhalb der Nachbringfrist der vorigen Abrechnungsperiode liegen.

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `KSE_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs
        `konsId` - ID der zu ändernden Konsultation
        `konsVersion` - Version der zu ändernden Konsultation
        `behandlungsfallCode` - Behandlungsfall, auf den die Konsultation geändert werden soll. Mögliche Werte laut Funktion `getBehandlungsfaelle`
      Returns:
        Objekt vom Typ KonsultationsBeleg
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `InvalidParameterException` - `INVALID_ANFRAGE_ID`, `INVALID_KONSULTATION_VERSION`, `MISSING_RIGHT_FOR_BEHANDLUNGSFALL`, `BF_FG_MISMATCH`
        `KseException` - `DATE_IN_FUTURE_EXCEPTION`, `KONSULTATION_CHANGED`, `KONSULTATION_ALREADY_CANCELLED`, `NO_SUCH_KONSULTATION`, `NO_LEISTUNGSANSPRUCH_FOR_FACHGEBIET_EXCEPTION`, `NO_LEISTUNGSANSPRUCH_FOR_FACHGRUPPE_EXCEPTION`, `NO_VPANSPRUCH_EXCEPTION`, `NO_VPANSPRUCH_FOR_SVT_EXCEPTION`, `INVALID_SPECIALISM_EXCEPTION`, `INVALID_BEHANDLUNGSFALL`, `SAME_BEHANDLUNGSFALL`, `REFERERALL_REQUIRED_EXCEPTION`, `AGE_NOT_REACHED`, `NO_VA_MATCHING_KONSULTATION`, `TIME_NOT_ELAPSED`, `ANSPRUCH_ONLY_FOR_VU_MKP_ALLOWED`, `BEHANDLUNGSFALL_FOR_GENDER_NOT_ALLOWED`, `BEHANDLUNGSFALL_FOR_AGE_NOT_ALLOWED`, `NO_EINLADUNG_FOR_BKF_VM`, `NO_OPEN_EINLADUNG_FOR_BKF_VM`, `OTHER_VM_EXIST`, `NO_CHANGE_POSSIBLE`, `INTERZEPTIVE_BEHANDLUNG_ALREADY_EXISTS`, `KFO_HAUPTBEHANDLUNG_ALREADY_EXISTS`, `NO_INTERZEPTIVE_BEHANDLUNG_EXISTS`, `NO_KFO_HAUPTBEHANDLUNG_EXISTS`, `INTERZEPTIVE_BEHANDLUNG_ALREADY_FINISHED`, `KFO_HAUPTBEHANDLUNG_ALREADY_FINISHED`, `INTERZEPTIVE_BEHANDLUNG_WITH_OTHER_VP`, `KFO_HAUPTBEHANDLUNG_WITH_OTHER_VP`, `KFO_HAUPTBEHANDLUNG_PERIOD_VIOLATION`, `KFO_HAUPTBEHANDLUNG_COMPLIANCE_CONFLICT`, `COMPLIANCE_ALREADY_EXISTS`, `IOTN_MAX_LIMIT_EXCEEDED`, `IOTN_PERIOD_VIOLATION`, `KFO_HAUPTBEHANDLUNG_IOTN_CONFLICT`, `KFO_BERATUNG_MAX_LIMIT_EXCEEDED`, `INTERZEPTIVE_BEHANLDUNG_INTERZEPTIVE_REPARATUR_CONFLICT`, `INTERZEPTIVE_REPARATUR_ALREADY_EXISTS`, `KFO_HAUPTBEHANDLUNG_REPARATUR_KFO_HAUPTBEHANDLUNG_CONFLICT`, `REPARATUR_KFO_HAUPTBEHANDLUNG_ALREADY_EXISTS`, `PATIENT_AGE_MISSING`, `ALREADY_NEW_INTERZEPTIVE_BEHANDLUNG`, `ALREADY_NEW_KFO_HAUPTBEHANDLUNG`, `INTERZEPTIVE_BEHANDLUNG_ENDE_NOT_POSSIBLE`, `KFO_HAUPTBEHANDLUNG_ENDE_NOT_POSSIBLE`, `KFO_MUNDHYGIENE_KIND_ALLGEMEIN_NOT_POSSIBLE`, `KFO_MUNDHYGIENE_KIND_FESTS_REGULIERUNG_NOT_POSSIBLE`, `ERSATZBELEG_NEEDED_NO_CHANGE_POSSIBLE`

    - #### getKonsultationsdaten

          KonsultationsdatenSuchergebnis getKonsultationsdaten(String dialogId,
                                                               SuchFilter selektionsKriterien,
                                                               String selektionsart,
                                                               String sortierung)
                                                        throws InvalidParameterException,
                                                               DialogException,
                                                               ServiceException,
                                                               KseException,
                                                               AccessException

      Mit dieser Funktion werden die den Suchkriterien entsprechenden Konsultationen angefordert. Diese Funktion sollte für das Abfragen von Konsultationsdaten verwendet werden, die dem Benutzer für Korrekturfunktionen (stornieren, wieder in Kraft setzen, ändern) angeboten werden (sofern diese Daten nicht von der Vertragspartnersoftware selbst gespeichert werden).

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `KSE_CORE`.
      ACHTUNG:
      Wenn die Selektionsart
      - `"ALLE"` ist,
        - wird der Parameter `SuchFilter.sVNummer` nicht ausgewertet,
        - werden maximal die Konsultationen für die aktuelle Abrechnungsperiode plus zwei Vorquartale geliefert.
      - `"MODIFIZIERBAR"` oder `"STORNIERT"` ist,
        - werden keine vollständigen Konsultationsbelege geliefert, die für die Abrechnung mit dem jeweiligen KVT verwendet werden können!
        - sollte eines der Selektionskriterien `Zeitintervall`( `DatumVon`,`DatumBis`) oder `SvNummer` in der `SuchFilter` Klasse gesetzt sein, werden maximal die Konsultationen für die aktuelle Abrechnungsperiode inklusive Nachbringfrist geliefert.

      Laufzeitgruppe: Lang

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs
        `selektionsKriterien` - Selektionskriterien zur Einschränkung der Daten, siehe auch `SuchFilter`
        `selektionsart` - Festlegung der Selektionsart, mögliche Werte siehe `Selektionsarten`
        `sortierung` - Festlegung der Sortierung, wird keine, eine ungültige Sortierung oder als Selektionskriterium ALLE übergeben wird nach Behandlungsdatum sortiert, mögliche Werte siehe `Sortierung`
      Returns:
        Objekt vom Typ KonsultationsdatenSuchergebnis (ohne Signaturinformation und Abstimmungsbeleg)
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `InvalidParameterException` - `INVALID_SELEKTIONS_ART`, `INVALID_ORDID`, `INVALID_SV_NUMBER`, `DATE_INVALID`, `DATE_ORDER_WRONG`, `INVALID_FG`, `INVALID_BF`, `INVALID_SVT`, `INVALID_KONSULTATIONS_ART`
        `KseException` - `SYNC_SUCHANFRAGE_NOT_AVAIL`, `MAX_SUCHANFRAGEN_EXCEEDED`, `FUNKTION_AUFRUF_NOT_POSSIBLE`

    - #### getKonsultationsdatenByIds

          KonsultationsdatenSuchergebnis getKonsultationsdatenByIds(String dialogId,
                                                                    Long[] konsultationsIds)
                                                             throws DialogException,
                                                                    ServiceException,
                                                                    KseException,
                                                                    AccessException

      Mit dieser Funktion werden die Konsultationen anhand ihrer KonsultationsIDs angefordert. Sie sollte für das Abfragen von Konsultationsdaten verwendet werden, wenn die Anzahl der Konsultationen, angefordert anhand einer der folgenden Funktionen:
      `getKonsultationsdaten` oder
      `downloadKonsultationsdaten`
      größer ist, als die am Server festgelegte maximale Anzahl der Konsultationen die in einem Response retourniert werden dürfen. Diese zwei Funktionen liefern in diesem Fall, neben den Konsultationsbelegen, ebenfalls die KonsultationsIDs der weiteren Konsultationen, die gefunden worden sind.

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Eine der Funktionen:
        `getKonsultationsdaten` oder
        `downloadKonsultationsdaten`
        wurde erfolgreich ausgeführt
      - Der Vertragspartner besitzt das Recht `KSE_CORE`.

      Wenn die Anzahl der KonsultationsIds eine maximale Anzahl übersteigen, kommt es zu der KseException `MAX_ANZAHL_KONSULTATIONEN_UEBERSCHRITTEN`.
      Können manche der angeforderten Konsultationen nicht (mehr) ermittelt werden, werden ihre KonsultationsIds zur Information im Ergebnis retourniert.

      Laufzeitgruppe: Lang

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs
        `konsultationsIds` - Array der konsultationsIds
      Returns:
        Objekt vom Typ KonsultationsdatenSuchergebnis (ohne Signaturinformation und Abstimmungsbeleg)
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `KseException` - `FUNKTION_AUFRUF_NOT_POSSIBLE`, `MAX_ANZAHL_KONSULTATIONEN_UEBERSCHRITTEN`

    - #### sendKonsultationsdatenAnfrage

          String sendKonsultationsdatenAnfrage(String dialogId,
                                               SuchFilter selektionsKriterien)
                                        throws InvalidParameterException,
                                               DialogException,
                                               ServiceException,
                                               KseException,
                                               AccessException

      Mit dieser Funktion werden die den Suchkriterien entsprechenden Konsultationen für den maximalen Zeitraum der aktuellen Abrechnungsperiode plus zwei Vorquartale angefordert.
      Von dieser Funktion wird eine Anfrage-ID zurückgeliefert. Der Auftrag wird vom e-card-Serversystem zu einem späteren Zeitpunkt bearbeitet. Die Benachrichtigung, dass die Konsultationsdaten zur Abholung bereitstehen erfolgt über den Messaging-Mechanismus durch Pollen der Funktion `checkStatus`. Diese Funktion signalisiert, dass eine neue Message vorliegt. Über die Funktion `getMessage` kann die neue Message abgefragt werden. Hat diese Message die Kategorie `ZS_KSE_MSG_ASYDL`, können die bereitgestellten Konsultationsdaten über die Funktion `downloadKonsultationsdaten` angefordert werden.

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `KSE_CORE`.
      ACHTUNG:
      Der Parameter `SuchFilter.sVNummer` wird nicht ausgewertet.
      Bei allen Funktionsaufrufen, die einen Konsultationsbeleg erzeugen oder manipulieren, werden die aktuellen Belegdaten an die Vertragspartnersoftware übergeben und sollten auch dort gespeichert werden. Somit wird das Anfordern aller Belegdaten mit dieser Funktion nur mehr bei Datenverlust in der Vertragspartnersoftware notwendig.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs
        `selektionsKriterien` - Selektionskriterien zur Einschränkung der Daten, siehe auch `SuchFilter`
      Returns:
        String - ID der Konsultationsdatenanfrage
        Format: maximal 19-stellig
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `DIALOG_UNKNOWN`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `InvalidParameterException` - `INVALID_ORDID`, `DATE_INVALID`, `DATE_ORDER_WRONG`, `INVALID_FG`, `INVALID_BF`, `INVALID_SVT`, `INVALID_KONSULTATIONS_ART`
        `KseException` - `MAX_SUCHANFRAGEN_EXCEEDED`

    - #### downloadKonsultationsdaten

          KonsultationsdatenSuchergebnis downloadKonsultationsdaten(String dialogId,
                                                                    String anfrageId)
                                                             throws InvalidParameterException,
                                                                    DialogException,
                                                                    ServiceException,
                                                                    KseException,
                                                                    AccessException

      Mit dieser Funktion werden Konsultationsdaten, die über eine asynchrone Suchanfrage `sendKonsultationsdatenAnfrage` angefordert wurden, abgefragt.

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Funktion `sendKonsultationsdatenAnfrage` wurde erfolgreich ausgeführt
      - Der Vertragspartner besitzt das Recht `KSE_CORE`.
      ACHTUNG:
      Die Funktion sollte nur ausgeführt werden, wenn über den Message-Mechanismus signalisiert wurde, dass die angeforderten Daten vorliegen. Abhängig von der Datenmenge des Ergebnisses kann das Ausführen dieser Funktion längere Zeit in Anspruch nehmen.

      Laufzeitgruppe: Lang

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs
        `anfrageId` - Anfrage-ID, die von der Funktion `sendKonsultationsdatenAnfrage` geliefert wurde
      Returns:
        Objekt vom Typ KonsultationsdatenSuchergebnis
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `InvalidParameterException` - `INVALID_ANFRAGE_ID`
        `KseException` - `ASYNC_REQUEST_ID_NOT_FOUND`, `ASYNC_REQUEST_NOT_PROCESSED`, `ASYNC_REQUEST_ERROR`, `FUNKTION_AUFRUF_NOT_POSSIBLE`, `ABSOLUTES_LIMIT_KONSULTATIONEN_UEBERSCHRITTEN`

    - #### getKonsultationsdatenAnfragen

          KonsultationdatenAnfrage[] getKonsultationsdatenAnfragen(String dialogId,
                                                                   Boolean onlyReady)
                                                            throws DialogException,
                                                                   ServiceException,
                                                                   AccessException

      Die Funktion liefert alle anstehenden Anfragen für Konsultationsdaten, die erfolgreich zum e-card-Serversystem übertragen wurden.

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `KSE_CORE`.

      Laufzeitgruppe: Lang

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs
        `onlyReady` - Bei "true" werden nur Anfragen zurückgeliefert, die vom e-card System verarbeitet und noch nicht abgeholt wurden
      Returns:
        Objekt vom Typ KonsultationdatenAnfrage[]
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`

    - #### deleteKonsultationsdatenAnfrage

          void deleteKonsultationsdatenAnfrage(String dialogId,
                                               String anfrageId)
                                        throws InvalidParameterException,
                                               DialogException,
                                               ServiceException,
                                               AccessException

      Mit dieser Funktion werden asynchrone Anfragen für Konsultationsdaten am e-card-Serversystem gelöscht. Die Anfragen können unabhängig von ihrem Status gelöscht werden.

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `KSE_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs
        `anfrageId` - Anfrage-ID die von der Funktion `sendKonsultationsdatenAnfrage` geliefert wurde
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `InvalidParameterException` - `INVALID_ANFRAGE_ID`

    - #### nachsignierenKonsultationen

          KonsultationsBeleg[] nachsignierenKonsultationen(String dialogId,
                                                           String cardToken,
                                                           boolean isOffline)
                                                    throws ServiceException,
                                                           DialogException,
                                                           KseException,
                                                           AccessException

      Mit dieser Funktion werden sämtliche Konsultationen eines Patienten, die mit der o-card signiert wurden, mit der e-card nachsigniert, wenn das Behandlungsdatum der Konsultation in der aktuellen oder in der vorigen Abrechnungsperiode und das aktuelle Datum innerhalb der Nachbringfrist der vorigen Abrechnungsperiode liegen.

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Eine gültige e-card ist in den Kartenleser, der dem Dialog zugeordnet ist, gesteckt
      - Der Vertragspartner besitzt das Recht `KSE_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs
        `cardToken` - Mit e-card erzeugtes Signaturtoken (SV-Signatur).
        `isOffline` - Kennzeichen, ob die Erstellung des Signaturtokens offline erstellt (und in der VPSW zwischengespeichert) wurde während das e-card System offline war.
      Returns:
        Objekt vom Typ KonsultationsBeleg[]
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `INVALID_CERTIFICATE`, `CERTIFICATE_MISMATCH` `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID` `CARD_INVALID`, `CARDTOKEN_SIG_TYPE_NOT_ALLOWED`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `KseException` - `OFFLINE_FRIST_EXCEEDED`, `DATE_IN_FUTURE_EXCEPTION`,

    - #### sendZusatzinformationsAntwort

          void sendZusatzinformationsAntwort(String dialogId,
                                             Long zusatzinformationsAntwortId,
                                             Integer zusatzinformationsAntwort)
                                      throws InvalidParameterException,
                                             KseException,
                                             DialogException,
                                             ServiceException,
                                             AccessException

      Diese Funktion übermittelt die Antwortinformationen einer Zusatzinformation an das e-card-Serversystem.

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `KSE_CORE` und `KSE_FULL`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs
        `zusatzinformationsAntwortId` - Zusatzinformations-Antwort-ID die von der Funktion `doKonsultation` geliefert wurde
        `zusatzinformationsAntwort` - Die zur Zusatzinformation ermittelte Antwort.
        Mögliche Werte siehe `ZusatzinformationsAntwort`.
        Hinweis: Für Zusatzinformationen mit dem Parameter AntwortAnzeigeBedingung gleich `2` ist nur für zusatzinformationsAntwort nur der Wert `1` (ja) zulässig (entspricht in diesem Fall der Antwort "Hinweis erhalten / zur Kenntnis genommen").
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_FULL`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `InvalidParameterException` - `ZUSATZINFO_ANTWORT_INVALID`, `ZUSATZINFO_ANTWORTID_INVALID`
        `KseException` - `ZUSATZINFO_ANTWORTID_NOT_ALLOWED`, `ZUSATZINFO_ANTWORTID_ALREADY_USED`, `ZUSATZINFO_ANTWORTID_INVALID`

    - #### getErstkonsultationen

          Erstkonsultationsdaten[] getErstkonsultationen(String dialogId,
                                                         String svNummer,
                                                         String fachgebietsCode,
                                                         Boolean nacherfassung)
                                                  throws DialogException,
                                                         ServiceException,
                                                         InvalidParameterException,
                                                         AccessException

      Diese Funktion ermittelt die eventuell vorhandenen Erstkonsultationen für einen Patienten.

      Voraussetzung:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `KSE_CORE` und `KSE_FULL`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-ID eines aufgebauten Dialogs
        `svNummer` - Sozialversicherungsnummer des Patienten, für den geprüft wird ob bereits eine Erstkonsultation vorhanden ist
        `fachgebietsCode` - Fachgebiet, für das gesucht werden soll.
        Mögliche Werte laut Funktion `getFachgebiete`, wobei der Vertragspartner auf der angemeldeten Kombination aus Ordination und Tätigkeitsbereich mit dem angegebenen Fachgebiet einen kurativen Vertrag mit Konsultationsrecht besitzen muss (siehe hierzu auch `getVertraege`.
        `nacherfassung` - Kennzeichen, ob die Suche im Zuge der aktuellen Erfassung oder einer Nacherfassung vorgenommen wird.
        Wird dieser Parameter nicht angegeben, wird als Default-Wert `false` (d.h. keine Nacherfassung) gesetzt.
        Hinweis: Diese Funktion dient der Abfrage der bereits bestehenden Erstkonsultationen beim abfragenden Vertragspartner im ZUGE einer Konsultationsbuchung. Die retournierten Werte dienen der Voreinstellung für die Konsultationserfassung.
      Returns:
        Objekt vom Typ Erstkonsultationsdaten[] - Array der ermittelten Erstkonsultationen.
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_KSE_FULL`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `InvalidParameterException` - `INVALID_FG`, `INVALID_SV_NUMBER`,